declare namespace FG {
  interface Drink {
    id: number;
    article_id?: string;
    package_size?: number;
    name: string;
    volume?: number;
    cost_per_volume?: number;
    cost_per_package?: number;
    uuid: string;
    receipt?: Array<string>;
    tags?: Array<Tag>;
    type?: DrinkType;
    volumes: Array<DrinkPriceVolume>;
  }
  interface DrinkIngredient {
    id: number;
    volume: number;
    ingredient_id: number;
    cost_per_volume: number;
    name: string;
  }
  interface DrinkPrice {
    id: number;
    price: number;
    volume: Array<DrinkPriceVolume>;
    public: boolean;
    description?: string;
  }
  interface DrinkPriceVolume {
    id: number;
    drink: Array<Drink>;
    volume: number;
    min_prices: Array<MinPrices>;
    prices: Array<DrinkPrice>;
    ingredients: Array<Ingredient>;
  }
  interface DrinkType {
    id: number;
    name: string;
  }
  interface ExtraIngredient {
    id: number;
    name: string;
    price: number;
  }
  interface Ingredient {
    id: number;
    drink_ingredient?: DrinkIngredient;
    extra_ingredient?: ExtraIngredient;
  }
  interface MinPrices {
    percentage: number;
    price: number;
  }
  interface Tag {
    id: number;
    name: string;
    color: string;
  }
}
